1. 3. Returns
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
        GET
      • Create Return Reason
        POST
      • Upload Return Attachment
        POST
      • Create Return
        POST
      • List Returns
        GET
      • Get Return
        GET
      • Approve Return
        POST
      • Reject Return
        POST
      • List Resolution Methods
        GET
      • Inspect Return
        POST
      • Cancel Return
        POST
      • Get Return Timeline
        GET
    • 4. Webhooks
      • Webhook Meta
      • List Webhooks
      • Create Webhook
      • Get Webhook
      • Update Webhook
      • Delete Webhook
      • Rotate Webhook Secret
      • Send Test Webhook
      • List Webhook Deliveries
      • Get Webhook Delivery
      • Retry Webhook Delivery
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 3. Returns

List Resolution Methods

GET
/partner/v1/resolution-methods
Refund methods this store accepts on partner returns — use one as resolution.method on POST /returns.
Only enabled methods the Partner API supports (bank_transfer, original_payment_method) are listed. Requires scope refunds:read.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠401Unauthorized
🟠403Forbidden
🟠429Too Many Requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/resolution-methods' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": [
        {
            "method": "string",
            "trigger": "string",
            "max_amount": 0,
            "currency": "string"
        }
    ]
}
Previous
Reject Return
Next
Inspect Return
Built with